commit:     68ea487d29d1060c80752e3042dd9b09d2438b3c
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 19 12:01:54 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Feb 19 12:02:14 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68ea487d

sci-astronomy/gnuastro: add version 0.16

Closes: https://bugs.gentoo.org/673946
Bug: https://bugs.gentoo.org/644224
Bug: https://bugs.gentoo.org/723198
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-astronomy/gnuastro/Manifest             |  1 +
 sci-astronomy/gnuastro/gnuastro-0.16.ebuild | 54 +++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sci-astronomy/gnuastro/Manifest b/sci-astronomy/gnuastro/Manifest
index e4664a60b31b..bcdb52172119 100644
--- a/sci-astronomy/gnuastro/Manifest
+++ b/sci-astronomy/gnuastro/Manifest
@@ -1 +1,2 @@
+DIST gnuastro-0.16.tar.gz 6089988 BLAKE2B 
be85152e6638a3462cf00555748a6be8d8c9d30b7c43332f1a16140bd22af2d7e948e1e089045b51b22db1541645dc82668cf2cb8c73abf3b07418343f1c02d9
 SHA512 
8848528b1a117aaebed854db2e8e4586d3b3f860f25f07a1362b7cd1ffd4f0f7ef214fc0b91b3bfc4aaf1ba9c8bbeaf9dec82979665db1c6fe3703f39354a867
 DIST gnuastro-0.3.tar.gz 4525361 BLAKE2B 
432078bf330fc8e6886246e4aec767c86b9c19c0c438a3c37b1912e3433e82c68db1090351b0e2e8e4fbb8a7906aa3ac031db8abd5e8c15380e1e8c349b9ebe5
 SHA512 
08556fd0de196c331cfd68e4b385fbef5c130fa9c914889367f4e3637b8dc6270a2424ef92c6641ec803c355d0577cebf3ace5ad76a7024f0414bb516338beac

diff --git a/sci-astronomy/gnuastro/gnuastro-0.16.ebuild 
b/sci-astronomy/gnuastro/gnuastro-0.16.ebuild
new file mode 100644
index 000000000000..ca9adb3bb97c
--- /dev/null
+++ b/sci-astronomy/gnuastro/gnuastro-0.16.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="GNU Astronomy Utilities"
+HOMEPAGE="https://www.gnu.org/software/gnuastro";
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="static-libs threads"
+
+# jpeg, pdf, and libgit2 are forced deps
+# because they are automagically detected.
+
+RDEPEND="
+       app-text/ghostscript-gpl
+       dev-libs/libgit2:=
+       media-libs/tiff
+       net-misc/curl
+       sci-astronomy/wcslib:0=
+       sci-libs/cfitsio:0=
+       sci-libs/gsl:0=
+       sys-libs/zlib:=
+       virtual/jpeg:0=
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       sed -i -e 's/-O3//' configure.ac || die
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable static-libs static)
+               $(use_enable threads)
+       )
+       econf ${myeconfargs[@]}
+}
+
+src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
+}

Reply via email to